# gmp_import

(PHP 5 >= 5.6.1, PHP 7, PHP 8)

gmp_import — Importar de un string binario

### Descripción

gmp_import(string `$data`, integer `$word_size`, integer `$options`): GMP

Importar un número GMP de un string binario

### Parámetros

`data`

  El string binario a importar

`word_size`

  El valor predeterminado es 1. El número de bytes de cada trozo de datos binarios. Principalmente se emplea junto con el parámetro 'options'.

`options`

  El valor predeterminado es GMP_MSW_FIRST | GMP_NATIVE_ENDIAN.

### Valores devueltos

Devuelve un número GMP o `false` en caso de error.

### Ejemplos

Ejemplo #1 Ejemplo de gmp_import()

`<?php
$number = gmp_import("\0");
echo gmp_strval($number) . "\n";
$number = gmp_import("\0\1\2");
echo gmp_strval($number) . "\n";
?>`

El resultado del ejemplo sería:

    0
    528